### Method

# GLib BookmarkFile set_modified

deprecated: 2.66 since: 2.12

#### Declaration

    void
    g_bookmark_file_set_modified (
      GBookmarkFile* bookmark,
      const gchar* uri,
      time_t modified
    )

#### Description

Sets the last time the bookmark for `uri` was last modified.

If no bookmark for `uri` is found then it is created.

The “modified” time should only be set when the bookmark’s meta-data was actually changed. Every function of `GBookmarkFile` that modifies a bookmark also changes the modification time, except for g_bookmark_file_set_visited_date_time().

Available since: 2.12

Deprecated since: 2.66

Use `g_bookmark_file_set_modified_date_time()` instead, as `time_t` is deprecated due to the year 2038 problem.

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`modified`

  Type: `time_t`

  A timestamp or -1 to use the current time.